Status: Closed   

Priority: Normal   

Category:    

Customer: ACADEMIC Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10022

Department: LEIPZIG Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 3rd Level Topic: FileLibrary::DatProcessing

Resolution: Product Issue Opened FAQ Links:  

Description

Guten Tag,

ich versuche seit einiger Zeit die Videos welche wir mit ADTF 2 und ADTF 3 in den letzten Jahren in mehreren 100GB Dat-Files

weggesichert haben als Einzelbilder zu exportieren.

Dafür würde ich gerne Ihr ADTF DAT Tool verwenden, für CSV Daten und dem mitgelieferten adtffileplugin bzw. Processor klappt

das auch.

Zum export der Bilder haben Sie ja ein Tut auf ihrer Seite stehen: 

https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

Leider scheitere ich schon an der Erstellung des Make Files über cmake-gui, ich hängen Ihnen einen Screenshot an.

Möglicherweise verwende ich die falschen Pfade.

Ich verwende auf dem Ubuntu 16.04  ADTF 3.3.0 und bei ADTF DAT Tool die aktuellste Version die ich von Ihrer Seite laden konnte.

Nach Möglichkeit, wäre es mir am liebsten, Sie würden mir das PlugIn bereits kompiliert für Ubuntu 16.04 zur verfügung stellen, so

wie bei dem CSV PlugIn.

Vielen Dank für Ihre Hilfe,

Leo Binder

Lösung

Der Guide setzt explizit einen Grayscale8, im Ticket wird ein anderer verwendet.

Das muss angepasst werden.

Zumden Ticket erstellt, den Guide auf eine generische Lösung umzustellen -> ACORE-10022

History

#1 - 2019-04-15 09:11 - hidden

- Status changed from New to In Progress

- Topic set to FileLibrary::DatProcessing

#2 - 2019-04-15 09:14 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Leo,

deine Versionen passen nicht zusammen, die neueste File Library braucht ADTF >= 3.4.0.

Nimm bitte alles aus der Lieferung im 3rd Party Ordner von ADTF, dann kannst du sichersein, dass File Library und Co zusammen passen.

Ich rate dir so oder so zu ADTF 3.5.0, dann hast du auch die aktuellste File Library im 3rd Party.

Und musst diese gar nicht bauen.

PS: Der Grund warum wir den PNG Exporter nicht liefern liegt an der Qt Abhängigkeit, das wäre in der IFHD ungünstig.
#3 - 2019-04-15 16:04 - hidden

Hallo Florian,

danke für deine Antwort, leider ist es mir dennoch nicht möglich das Projekt zu bauen.

Nach dem ich jetzt mit ADTF 3.5.0 erfolgreich in der Lage bin das CMakeFile zu erstellen scheitert make noch immer.

Scanning dependencies of target image_processor

[ 50%] Building CXX object CMakeFiles/image_processor.dir/image_processor.cpp.o

make[2]: *** Keine Regel vorhanden, um das Ziel „ddl-NOTFOUND“, 

  benötigt von „image_processor.adtffileplugin“, zu erstellen.  Schluss.

CMakeFiles/Makefile2:72: die Regel für Ziel „CMakeFiles/image_processor.dir/all“ scheiterte

make[1]: *** [CMakeFiles/image_processor.dir/all] Fehler 2

Makefile:129: die Regel für Ziel „all“ scheiterte

make: *** [all] Fehler 2

 an qt scheitert es meines Erachtens gerade nicht, auch wenn ich nicht genau weiß wo ich die Qt5Core(d).dll und Qt5Gui(d).dll finden soll für den

nächsten Schritt.

Danke,

Leo

#4 - 2019-04-15 16:29 - hidden

Hallo Leo,

Keine Regel vorhanden, um das Ziel „ddl-NOTFOUND“

 bist du dir sicher, dass du alles richtig angegeben hast im CMake ?

an qt scheitert es meines Erachtens gerade nicht, auch wenn ich nicht genau weiß wo ich die Qt5Core(d).dll und Qt5Gui(d).dll finden soll für den

nächsten Schritt.

 <ADTF_DIR>/3rdparty/qt5

#5 - 2019-04-15 17:02 - hidden

Hallo Florian,

ich bin mir eigentlich recht sicher aber hier gerne nochmal zur Überprüfung:

 CMAKE_BUILD_TYPE                                                                                             

                   

 CMAKE_INSTALL_PREFIX             /usr/local                                                                  

                   

 Qt5Core_DIR                      /opt/qt/5.9.0/5.9/gcc_64/lib/cmake/Qt5Core                                  

                   

 Qt5Gui_DIR                       /opt/qt/5.9.0/5.9/gcc_64/lib/cmake/Qt5Gui                                   

                   

 Qt5_DIR                          /opt/qt/5.9.0/5.9/gcc_64/lib/cmake/Qt5                                      

                   

 a_util_DIR                       /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util                            

                   

 a_util_base_DIR                  /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_base                       

                   

 a_util_concurrency_DIR           /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_concurrency                

                   

 a_util_csv_reader_DIR            /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_csv_reader                 

                   

 a_util_datetime_DIR              /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_datetime                   

                   

 a_util_filesystem_DIR            /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_filesystem                 

                   

 a_util_logging_DIR               /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_logging                    

                   

 a_util_memory_DIR                /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_memory                     

                   

 a_util_process_DIR               /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_process                    

                   

 a_util_regex_DIR                 /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_regex                      

                   

 a_util_result_DIR                /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_result                     
 a_util_strings_DIR               /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_strings                    

                   

 a_util_system_DIR                /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_system                     

                   

 a_util_variant_DIR               /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_variant                    

                   

 a_util_xml_DIR                   /opt/ADTF/3.5.0/3rdparty/a_util/lib/cmake/a_util_xml                        

                   

 adtf_file_DIR                    /opt/ADTF/3.5.0/3rdparty/ifhd/lib/cmake/adtf_file                           

                   

 adtfdat_processing_DIR           /opt/ADTF/3.5.0/3rdparty/ifhd/lib/cmake/adtfdat_processing                  

                   

 ddl_DIR                          /opt/ADTF/3.5.0/3rdparty/ddl/cmake                                          

                   

 ifhd_file_DIR                    /opt/ADTF/3.5.0/3rdparty/ifhd/lib/cmake/ifhd_file                           

                   

 utils5extension_DIR              /opt/ADTF/3.5.0/3rdparty/ifhd/lib/cmake/utils5extension   

 Ansonsten finden sich in meinem Ordner von qt5 weder im ADTF Unterordner noch in meiner Installation *.dll Daten.

leobinder@ubuntu:/opt/ADTF/3.5.0/3rdparty/qt5$ ls -la

insgesamt 60

drwxrwxr-x  9 leobinder leobinder  4096 Mär  5 08:41 .

drwxrwxr-x  7 leobinder leobinder  4096 Mär  5 08:41 ..

drwxrwxr-x  4 leobinder leobinder 20480 Mär  5 08:41 lib

drwxrwxr-x  2 leobinder leobinder  4096 Mär  5 08:41 libexec

drwxrwxr-x  2 leobinder leobinder  4096 Mär  5 08:41 phrasebooks

drwxrwxr-x 27 leobinder leobinder  4096 Mär  5 08:41 plugins

drwxrwxr-x 23 leobinder leobinder  4096 Mär  5 08:41 qml

drwxrwxr-x  2 leobinder leobinder  4096 Mär  5 08:41 resources

drwxrwxr-x  3 leobinder leobinder 12288 Mär  5 08:41 translations

 Danke für deine Hilfe,

Leo

#6 - 2019-04-15 17:28 - hidden

Hallo Leo,

ich bin mir eigentlich recht sicher aber hier gerne nochmal zur Überprüfung:

 Dir fehlt der Build Type, dass muss auf Linux angegeben werden:

CMAKE_BUILD_TYPE=Release

CMAKE_BUILD_TYPE=Debug

Je nachdem was du haben möchtest

Das Post Build Verzeichnis solltest du auch definieren:

z.B. CMAKE_INSTALL_PREFIX=home/leobinder/adtf-dat-export/image_processor/install

Das ist aber kein ADTF/IFHD Problem, sondern eher eine allgemeine Linux/CMake Geschichte.

Ansonsten finden sich in meinem Ordner von qt5 weder im ADTF Unterordner noch in meiner Installation *.dll Daten.

 Ja klar, DLL=Windows, SO=Linux... Ist ja auch auf der Hauptseite erwähnt, dass sich die Guides an Windows orienieren.

Also auf Linux im lib Ordner der QT Installation, mit prefix lib.

Aber das ist nicht wirklich dein Problem, sondern der build.

#7 - 2019-04-15 23:10 - hidden

- File ist.png added

- File soll.png added

Hallo Florian,

wunderbar jetzt klappt alles, zumindest baut es und ich kann das Tool mit dem PlugIn starten, vielen Dank für deine Hilfe.

Aus der lib habe ich unter Linux folgende .so verwendet:

/opt/qt/5.9.0/5.9/gcc_64/lib/libQt5Core.so

/opt/qt/5.9.0/5.9/gcc_64/lib/libQt5Gui.so
das sollten eigentlich die richtigen sein oder?    

Kleines Problem ist nur, dass die Bilder etwas seltsam aussehen, liegt das eher am Code oder an den qt-libs?

Bilder im Anhang, wie es aussieht und wie es eigentlich aussehen sollte.

Es scheint als wäre das Bild in vier Bereiche aufgeteilt worden und übereinander gelegt und das in SW.

Danke,

Leo

#8 - 2019-04-16 08:40 - hidden

Hallo Leo,

das sieht doch schon mal gut aus, es scheinen nur die Settings noch nicht zu passen.

Wie sieht dein Aufruf nun aus, hast du dich an den aus den Guides gehalten ?

#9 - 2019-04-16 09:14 - hidden

Morgen Florian,

das ist momentan der Bash Befehl welchen ich zum ausführen nutze:

./adtf_dattool --plugin ./image_processor.adtffileplugin --export /media/sf_LinuxMac/recordings_aadc_2017/2017

0803_1634.dat --stream RearCam_output --property extraction_interval=100 --property output_path=~/Schreibtisch

/test/test --property output_img_format=png

Am C++ Code selbst habe ich nichts geändert.

Einzige was noch nicht wie in der Anleitung ist, ist die Verwendung des qt.conf Files:

[Paths]

Prefix = .

hier bekomme ich keine oder nicht lesbare Bilder, sobald ich etwas anders eingebe als obiges, probiert hatte ich etwas die qt Installation:

/opt/qt/5.9.0/5.9/

 ansonsten abreite ich mit einer Release-Version des Programmes aber sonst ist eigentlich alles wie auf der Seite beschreiben.

#10 - 2019-04-16 09:26 - hidden

- Status changed from Customer Feedback Required to In Progress

@Volker: Kannst du hier mal drauf schaun was noch fehlt bitte ?

#11 - 2019-04-17 09:46 - hidden

Vielleicht stimmt hier etwas beim Auslesen des Bildes aus dem SampleStream nicht. @Martin kannst du bezüglich 

https://support.digitalwerk.net/issues/6867#note-7 einen blick auf den Code werfen?

#13 - 2019-04-17 09:58 - hidden

Hmm, na ja, da ist das Beispiel nicht ganz vollständig.

 QImage img = QImage(dest, width, height, QImage::Format_Grayscale8);

 Heißt, der Processor geht unabhängig vom StreamType davon aus, dass die Bilddaten 8-Bit Graustufenbilder sind (was sie in dem Beispiel ja definitiv

nicht sind). Hier müsste noch anhand von output_img_format unterschieden werden.

Grüße,

Martin

#14 - 2019-04-17 11:59 - hidden

@Volker: Bitte Ticket machen für die guides, aber hier auch gleich die Code Änderung kundtun

#15 - 2019-04-17 12:18 - hidden
@Martin: Kannst du noch ein Code-Beispiel posten?

#17 - 2019-04-25 10:44 - hidden

Werd ich machen, vor meinem Urlaub wird sich das aber nicht mehr ausgehen. Für diesen Fall hier muss man einfach QImage::Format_Grayscale8

durch das entsprechende Format ersetzen, dann solte der export funktionieren.

#20 - 2019-05-28 10:08 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10022

- Customer set to ACADEMIC

- Department set to LEIPZIG

Hab hierzu nun das Produktticket mal angelegt, weil das kein Thema mehr für den Support ist, das Ticket kann zu.

#21 - 2019-07-19 08:09 - hidden

- Project changed from 25 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level
